GNU bug report logs - #37557
27.0.50; Tramp consistently causes Emacs to crash when quickly scrolling remote file

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Shant Sukljian <sshantt@HIDDEN>; Keywords: confirmed; merged with #24472, #37299; dated Sun, 29 Sep 2019 23:46:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 24472 37299 37557. Request was from Michael Albinus <michael.albinus@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 37557 <at> debbugs.gnu.org:


Received: (at 37557) by debbugs.gnu.org; 30 Sep 2019 15:41:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 30 11:41:52 2019
Received: from localhost ([127.0.0.1]:60243 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iExo7-00019s-DD
	for submit <at> debbugs.gnu.org; Mon, 30 Sep 2019 11:41:52 -0400
Received: from mout.gmx.net ([212.227.17.22]:53863)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1iExo5-00019b-6l
 for 37557 <at> debbugs.gnu.org; Mon, 30 Sep 2019 11:41:49 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1569858090;
 bh=b5y63FJVwO4OWhU3b1EdmY6yyZ06Jz8UvYsEyz1cPEE=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=QfDff3aWLUwT1Aak4BbBeazL9K/dEua9NsWxAasShREKHBDtME4cPNr4HkmuRUVtA
 exRnUCo8t5B1TKHrt5i71io4GFyjj2dzvDy94xhzLmngyzXIAuJttm8iattEw5S7T4
 MYLLaAQiNeLE1okQRQUuvENhuQ13Mk20h5VOh22U=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.86.50.177]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MtfNf-1i0bmH2Glz-00v5W3; Mon, 30
 Sep 2019 17:41:30 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Shant Sukljian <sshantt@HIDDEN>
Subject: Re: bug#37557: 27.0.50; Tramp consistently causes Emacs to crash
 when quickly  scrolling remote file
References: <932EB2D9-B387-4152-8005-E4C32A826407@HIDDEN>
Date: Mon, 30 Sep 2019 17:41:28 +0200
In-Reply-To: <932EB2D9-B387-4152-8005-E4C32A826407@HIDDEN> (Shant
 Sukljian's message of "Sun, 29 Sep 2019 16:25:44 -0700")
Message-ID: <87imp994gn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:8kFgbU20Ppw0yRXgvGEHZGyakVhJVGzQ1qQhC5NqC2Dq0Ues6U1
 nv8LKrxn33+xjC1r+2qy5YzUO4UBw2XHWaDxqAPJzZCRJSyG2hvstLroNvOpzzjS39eUror
 XK11uPMkVxncquUUve3eHOPKL6cMm2KaVUh5LM+RtNkCUATq7ilrbBNLbG8e8KCvLPNxqqH
 /KvY/HOUcqid+w1ZZpqTw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:9wroyKFtqbk=:ESwFnpqggw4RjRf1o0pUbC
 pVfvRjUHdrbWxJ1Pzu04JXumO4vGP4W3M7uiipzW8ahXEq+Vmklkt/k5ODHTb+wPSYC9GzpXd
 uobFKrZEy2DWQ+ymXRsoF/kvCP9x4xAi/+q2/13oMt8F0oPTCWqOg0Zh856SU1aC2W9+jx9aR
 cCS//XjTGpGr+PztAA/XZjY/n+CuHtL/7h8FdfocdaNBXgeNE4Ex/GnKi9qvWI6i9eDuATMfS
 dfoxDLU0e6BF0r2g+/QlMWhedB2r/Md2yozFhN7JzWDmngd7CwusNFhKhKzlAc0oPPCHetc17
 7gSaMIFsu64vTR9Z+IDqHAm7uL9WzLFPPn7y8CjTSQtqNqM1Nug4vnWQJCeqUx8801Zdkor8z
 gtCBewgq3giI/FE7jxLaRonuC2/PqEVL5y+IiR5DQuqRIAmUnTKxLX+nF78nXwIHMyM+UYUnq
 vMQeB/H0Gj2eynGpPSwoEq65wAzvrJVpgb1TclrqV38cgtG0lu+wR504qU2WQgvr1fbsD2f4N
 SOtOTxllBz5+6gSn69NIGTp6qUvfP9cC0GfUU0CeKxZWK7Yo+vfz3b5lw7IFau+lktrRwR/Ig
 FEzuJ5Pg7ZP6+mUY0zdipg3OLowRsnnlzyqAvaBHqOR6xqq3vK8J6RVJRxtRiZK++s5h1yzk+
 PVsSiqt+s3ldpscv+oGy45fcw15WN4PZY/P/361j+HccrM9wfo0jT9I7XDE1tkxsCdfTkLkGt
 Ew1BCnd3vefT7GlBEGLKtREoVYqJ/jU7IKUJRdsKXbRQJjCoKsdcJ0V4S3nCir4RvsZ5Cj41T
 vOA5hRGS5b0cwB3ZshKpVtZvgWuORQBwNFVEkV8/YygCaHNFL/QKxCxWbV9vLDL3arG9vx92T
 tJvHI+bMPTg91g3vKzwx/sIlElx12FL2ar8b78NO+k+JtgS244rxLZfF+bY84wAdtPCfUPzLr
 QDvmjfHKVBQd2+OZRu/S0sSI11mhDChfM8f+qu3FVu3ex+yfRoT6I1+3T6HYq0nboeU40Qdhg
 zLHQTiHxWcE292Ua1C5QY5TIDxc3VNxTZMGcvrDzO0w/LIZ1dKv1pt48qA503ITXvVCL59fM8
 bl2a1PM09EGqyGm63POoSjpIh9zWhZDVE6hqzNBDvrMY8awCmUPlApRM+nlM/VWxgKEdbEwt8
 twS4FsVTWXnaAgFfIi9m9eoBnfk5S/gKhS3OM+gPrvCytABiKkL0GB7tUAy/LV9oWnOcPRdoA
 VEDFrO/C77+lLRsUPVvHrwFEuuWBvRIWN6pTAi0ywcEJ0oolgmap3j9hZZ8M=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37557
Cc: 37557 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Shant Sukljian <sshantt@HIDDEN> writes:

> Whenever I scroll using the trackpad in a remote file, Emacs consistently crashes. (Also, other things crash Emacs in remote files, but this is the most common one I've come across)

There are similar bug reports with Emacs 27.0.50 + macOS + Tramp. See
bug#24472 and bug#37299.  I suppose all they are related, so I merge
this one to the other two bugs.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37557; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Sep 2019 23:45:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 29 19:45:39 2019
Received: from localhost ([127.0.0.1]:56154 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEisj-0001Bx-Oh
	for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 19:45:38 -0400
Received: from lists.gnu.org ([209.51.188.17]:39626)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sshantt@HIDDEN>) id 1iEiZg-0006rw-Dz
 for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 19:25:58 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:43166)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <sshantt@HIDDEN>) id 1iEiZd-0000Rf-1u
 for bug-gnu-emacs@HIDDEN; Sun, 29 Sep 2019 19:25:56 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_DNSWL_LOW,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sshantt@HIDDEN>) id 1iEiZZ-00005X-B1
 for bug-gnu-emacs@HIDDEN; Sun, 29 Sep 2019 19:25:52 -0400
Received: from mr85p00im-ztdg06011801.me.com ([17.58.23.199]:41324)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <sshantt@HIDDEN>) id 1iEiZY-0008WR-TV
 for bug-gnu-emacs@HIDDEN; Sun, 29 Sep 2019 19:25:49 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=icloud.com;
 s=1a1hai; t=1569799545;
 bh=y9aDr+d/m5qlxryzSnPdql3sR4t996J10wGWprZqyBs=;
 h=From:Content-Type:Subject:Message-Id:Date:To;
 b=sWC1upWF50eHau+YaZ8Fj/8KrnO3F2ZlyJduHLspf1IXzzG3qmozgtJDJ1SadufUq
 dBhgsV9RwE8uS9gsjszOTvtHQcUoBnwomoUWCWVjrPz1iQTN6GGKSdSuiXYL4Dy4mk
 lclL9trh0xV10Tq2SPFLGW14Ev0W62I76qvXExoSm04sr1XVNut13v9DzZF66QbRsP
 JnHVVhZ2dOs5z9ZtHfhRZ8Ijy4cg4OvUMPdB/Y7dVkUh67RC6FVIJxOqlHwxALTx63
 ZOcRC44fgUh+Dbx8C/l7FP+bTPQXRDorQOEZ6n8W2S0en5H5dzX+oYpVD+SrHVraGq
 pOv85oFIni+0w==
Received: from [10.0.0.64] (c-71-202-120-82.hsd1.ca.comcast.net
 [71.202.120.82])
 by mr85p00im-ztdg06011801.me.com (Postfix) with ESMTPSA id 940C4C0ACD
 for <bug-gnu-emacs@HIDDEN>; Sun, 29 Sep 2019 23:25:45 +0000 (UTC)
From: Shant Sukljian <sshantt@HIDDEN>
Content-Type: text/plain;
	charset=utf-8
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.11\))
Subject: 27.0.50; Tramp consistently causes Emacs to crash when quickly 
 scrolling remote file
Message-Id: <932EB2D9-B387-4152-8005-E4C32A826407@HIDDEN>
Date: Sun, 29 Sep 2019 16:25:44 -0700
To: bug-gnu-emacs@HIDDEN
X-Mailer: Apple Mail (2.3445.104.11)
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:, ,
 definitions=2019-09-29_14:, , signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 clxscore=1011 mlxscore=0
 mlxlogscore=999 adultscore=0 classifier=spam adjust=0 reason=mlx
 scancount=1 engine=8.0.1-1906280000 definitions=main-1909290267
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 17.58.23.199
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 29 Sep 2019 19:45:37 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)



Whenever I scroll using the trackpad in a remote file, Emacs =
consistently crashes. (Also, other things crash Emacs in remote files, =
but this is the most common one I've come across)

I have tried Emacs v27 and v26.3 and have seen no difference. I've =
cleaned up my entire init file and left only tramp in there. Here is =
what it looks like

```
;; Initialize Package Archives

(setq package-archives '(("gnu" . "http://elpa.gnu.org/packages/")
                         ("melpa" . "http://melpa.org/packages/")))

(package-initialize)


;; Install Straight & Use-Package

(defvar bootstrap-version)
(let ((bootstrap-file
       (expand-file-name "straight/repos/straight.el/bootstrap.el" =
user-emacs-directory))
      (bootstrap-version 5))
  (unless (file-exists-p bootstrap-file)
    (with-current-buffer
        (url-retrieve-synchronously
         =
"https://raw.githubusercontent.com/raxod502/straight.el/develop/install.el=
"
         'silent 'inhibit-cookies)
      (goto-char (point-max))
      (eval-print-last-sexp)))
  (load bootstrap-file nil 'nomessage))

(straight-use-package 'use-package)


;; Install & Configure tramp

(use-package tramp
  :straight t
  :config
  (setq
   tramp-default-host "ss_analytics"
   tramp-default-method "ssh"
   tramp-ssh-controlmaster-options ""))
```

To recreate follow the following steps:

** Place the above in init.el
** Launch Emacs
** Find and open remote sql file that contains ~2,000 lines
** Rapidly scroll up and down with a trackpad=20


In GNU Emacs 27.0.50 (build 1, x86_64-apple-darwin18.7.0, NS =
appkit-1671.60 Version 10.14.6 (Build 18G95))
of 2019-09-14 built on Shants-MacBook-Pro.local
Repository revision: 52172d234015776bcc595c731477b98fa2949e50
Repository branch: master
Windowing system distributor 'Apple', version 10.3.1671
System Description:  Mac OS X 10.14.6

Recent messages:
Tramp: Sending command =E2=80=98exec ssh    -e none ss_jyve_analytics=E2=80=
=99
Tramp: Waiting for prompts from remote shell...done
Tramp: Found remote shell prompt on =E2=80=98ss_jyve_analytics=E2=80=99
Tramp: Opening connection for ss_jyve_analytics using ssh...done
No projects needed to be removed.
Loading /Users/shant/.config/emacs/recentf...done
Cleaning up the recentf list...done (0 removed)
Loading /Users/shant/.config/emacs/.cache/company-statistics-cache.el =
(source)...done
Turning on magit-auto-revert-mode...done
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
'configure --with-modules'

Configured features:
NOTIFY KQUEUE ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES
THREADS PDUMPER GMP

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Dashboard

Minor modes in effect:
  company-box-mode: t
  doom-modeline-mode: t
  show-smartparens-global-mode: t
  smartparens-global-mode: t
  global-highlight-parentheses-mode: t
  highlight-parentheses-mode: t
  ivy-prescient-mode: t
  prescient-persist-mode: t
  treemacs-icons-dired-mode: t
  treemacs-git-mode: deferred
  treemacs-fringe-indicator-mode: t
  global-magit-file-mode: t
  magit-auto-revert-mode: t
  global-git-commit-mode: t
  async-bytecomp-package-mode: t
  recentf-mode: t
  global-page-break-lines-mode: t
  page-break-lines-mode: t
  counsel-projectile-mode: t
  projectile-mode: t
  company-flx-mode: t
  company-statistics-mode: t
  global-company-mode: t
  company-mode: t
  ivy-mode: t
  override-global-mode: t
  shell-dirtrack-mode: t
  save-place-mode: t
  show-paren-mode: t
  display-battery-mode: t
  delete-selection-mode: t
  straight-use-package-mode: t
  straight-package-neutering-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  size-indication-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
~/.config/emacs/elpa/emacs-libvterm/vterm hides =
/Users/shant/.config/emacs/straight/build/vterm/vterm
=
/Users/shant/.config/emacs/straight/build/all-the-icons/all-the-icons-face=
s hides =
/Users/shant/.config/emacs/elpa/all-the-icons-20190320.1809/all-the-icons-=
faces
/Users/shant/.config/emacs/straight/build/all-the-icons/all-the-icons =
hides =
/Users/shant/.config/emacs/elpa/all-the-icons-20190320.1809/all-the-icons
=
/Users/shant/.config/emacs/straight/build/all-the-icons/all-the-icons-auto=
loads hides =
/Users/shant/.config/emacs/elpa/all-the-icons-20190320.1809/all-the-icons-=
autoloads
/Users/shant/.config/emacs/straight/build/memoize/memoize-autoloads =
hides =
/Users/shant/.config/emacs/elpa/memoize-20190915.37/memoize-autoloads
/Users/shant/.config/emacs/straight/build/memoize/memoize hides =
/Users/shant/.config/emacs/elpa/memoize-20190915.37/memoize
=
/Users/shant/.config/emacs/straight/build/spacemacs-theme/spacemacs-common=
 hides =
/Users/shant/.config/emacs/elpa/spacemacs-theme-20190820.816/spacemacs-com=
mon
=
/Users/shant/.config/emacs/straight/build/spacemacs-theme/spacemacs-theme-=
pkg hides =
/Users/shant/.config/emacs/elpa/spacemacs-theme-20190820.816/spacemacs-the=
me-pkg
=
/Users/shant/.config/emacs/straight/build/spacemacs-theme/spacemacs-dark-t=
heme hides =
/Users/shant/.config/emacs/elpa/spacemacs-theme-20190820.816/spacemacs-dar=
k-theme
=
/Users/shant/.config/emacs/straight/build/spacemacs-theme/spacemacs-light-=
theme hides =
/Users/shant/.config/emacs/elpa/spacemacs-theme-20190820.816/spacemacs-lig=
ht-theme
=
/Users/shant/.config/emacs/straight/build/spacemacs-theme/spacemacs-theme-=
autoloads hides =
/Users/shant/.config/emacs/elpa/spacemacs-theme-20190820.816/spacemacs-the=
me-autoloads
/Users/shant/.config/emacs/straight/build/treemacs/treemacs-core-utils =
hides =
/Users/shant/.config/emacs/elpa/treemacs-20190916.913/treemacs-core-utils
/Users/shant/.config/emacs/straight/build/treemacs/treemacs-faces hides =
/Users/shant/.config/emacs/elpa/treemacs-20190916.913/treemacs-faces
/Users/shant/.config/emacs/straight/build/treemacs/treemacs-themes hides =
/Users/shant/.config/emacs/elpa/treemacs-20190916.913/treemacs-themes
/Users/shant/.config/emacs/straight/build/treemacs/treemacs-icons hides =
/Users/shant/.config/emacs/elpa/treemacs-20190916.913/treemacs-icons
/Users/shant/.config/emacs/straight/build/treemacs/treemacs-rendering =
hides =
/Users/shant/.config/emacs/elpa/treemacs-20190916.913/treemacs-rendering
/Users/shant/.config/emacs/straight/build/treemacs/treemacs-dom hides =
/Users/shant/.config/emacs/elpa/treemacs-20190916.913/treemacs-dom
=
/Users/shant/.config/emacs/straight/build/treemacs/treemacs-tag-follow-mod=
e hides =
/Users/shant/.config/emacs/elpa/treemacs-20190916.913/treemacs-tag-follow-=
mode
/Users/shant/.config/emacs/straight/build/treemacs/treemacs-mode hides =
/Users/shant/.config/emacs/elpa/treemacs-20190916.913/treemacs-mode
/Users/shant/.config/emacs/straight/build/treemacs/treemacs hides =
/Users/shant/.config/emacs/elpa/treemacs-20190916.913/treemacs
=
/Users/shant/.config/emacs/straight/build/treemacs/treemacs-fringe-indicat=
or hides =
/Users/shant/.config/emacs/elpa/treemacs-20190916.913/treemacs-fringe-indi=
cator
/Users/shant/.config/emacs/straight/build/treemacs/treemacs-visuals =
hides =
/Users/shant/.config/emacs/elpa/treemacs-20190916.913/treemacs-visuals
/Users/shant/.config/emacs/straight/build/treemacs/treemacs-interface =
hides =
/Users/shant/.config/emacs/elpa/treemacs-20190916.913/treemacs-interface
/Users/shant/.config/emacs/straight/build/treemacs/treemacs-bookmarks =
hides =
/Users/shant/.config/emacs/elpa/treemacs-20190916.913/treemacs-bookmarks
=
/Users/shant/.config/emacs/straight/build/treemacs/treemacs-compatibility =
hides =
/Users/shant/.config/emacs/elpa/treemacs-20190916.913/treemacs-compatibili=
ty
=
/Users/shant/.config/emacs/straight/build/treemacs/treemacs-customization =
hides =
/Users/shant/.config/emacs/elpa/treemacs-20190916.913/treemacs-customizati=
on
/Users/shant/.config/emacs/straight/build/treemacs/treemacs-macros hides =
/Users/shant/.config/emacs/elpa/treemacs-20190916.913/treemacs-macros
/Users/shant/.config/emacs/straight/build/treemacs/treemacs-persistence =
hides =
/Users/shant/.config/emacs/elpa/treemacs-20190916.913/treemacs-persistence=

/Users/shant/.config/emacs/straight/build/treemacs/treemacs-extensions =
hides =
/Users/shant/.config/emacs/elpa/treemacs-20190916.913/treemacs-extensions
=
/Users/shant/.config/emacs/straight/build/treemacs/treemacs-filewatch-mode=
 hides =
/Users/shant/.config/emacs/elpa/treemacs-20190916.913/treemacs-filewatch-m=
ode
/Users/shant/.config/emacs/straight/build/treemacs/treemacs-workspaces =
hides =
/Users/shant/.config/emacs/elpa/treemacs-20190916.913/treemacs-workspaces
=
/Users/shant/.config/emacs/straight/build/treemacs/treemacs-mouse-interfac=
e hides =
/Users/shant/.config/emacs/elpa/treemacs-20190916.913/treemacs-mouse-inter=
face
/Users/shant/.config/emacs/straight/build/treemacs/treemacs-follow-mode =
hides =
/Users/shant/.config/emacs/elpa/treemacs-20190916.913/treemacs-follow-mode=

/Users/shant/.config/emacs/straight/build/treemacs/treemacs-tags hides =
/Users/shant/.config/emacs/elpa/treemacs-20190916.913/treemacs-tags
/Users/shant/.config/emacs/straight/build/treemacs/treemacs-autoloads =
hides =
/Users/shant/.config/emacs/elpa/treemacs-20190916.913/treemacs-autoloads
/Users/shant/.config/emacs/straight/build/treemacs/treemacs-async hides =
/Users/shant/.config/emacs/elpa/treemacs-20190916.913/treemacs-async
/Users/shant/.config/emacs/straight/build/ht/ht hides =
/Users/shant/.config/emacs/elpa/ht-20190830.910/ht
/Users/shant/.config/emacs/straight/build/ht/ht-autoloads hides =
/Users/shant/.config/emacs/elpa/ht-20190830.910/ht-autoloads
/Users/shant/.config/emacs/straight/build/hydra/hydra-examples hides =
/Users/shant/.config/emacs/elpa/hydra-20190821.939/hydra-examples
/Users/shant/.config/emacs/straight/build/hydra/hydra-ox hides =
/Users/shant/.config/emacs/elpa/hydra-20190821.939/hydra-ox
/Users/shant/.config/emacs/straight/build/hydra/hydra hides =
/Users/shant/.config/emacs/elpa/hydra-20190821.939/hydra
/Users/shant/.config/emacs/straight/build/hydra/hydra-autoloads hides =
/Users/shant/.config/emacs/elpa/hydra-20190821.939/hydra-autoloads
/Users/shant/.config/emacs/straight/build/lv/lv-autoloads hides =
/Users/shant/.config/emacs/elpa/lv-20190821.947/lv-autoloads
/Users/shant/.config/emacs/straight/build/lv/lv hides =
/Users/shant/.config/emacs/elpa/lv-20190821.947/lv
/Users/shant/.config/emacs/straight/build/pfuture/pfuture hides =
/Users/shant/.config/emacs/elpa/pfuture-20190505.1006/pfuture
/Users/shant/.config/emacs/straight/build/pfuture/pfuture-autoloads =
hides =
/Users/shant/.config/emacs/elpa/pfuture-20190505.1006/pfuture-autoloads
=
/Users/shant/.config/emacs/straight/build/ace-window/ace-window-autoloads =
hides =
/Users/shant/.config/emacs/elpa/ace-window-20190708.933/ace-window-autoloa=
ds
/Users/shant/.config/emacs/straight/build/ace-window/ace-window hides =
/Users/shant/.config/emacs/elpa/ace-window-20190708.933/ace-window
/Users/shant/.config/emacs/straight/build/avy/avy-autoloads hides =
/Users/shant/.config/emacs/elpa/avy-20190828.951/avy-autoloads
/Users/shant/.config/emacs/straight/build/avy/avy hides =
/Users/shant/.config/emacs/elpa/avy-20190828.951/avy
/Users/shant/.config/emacs/straight/build/f/f hides =
/Users/shant/.config/emacs/elpa/f-20190109.906/f
/Users/shant/.config/emacs/straight/build/f/f-autoloads hides =
/Users/shant/.config/emacs/elpa/f-20190109.906/f-autoloads
/Users/shant/.config/emacs/straight/build/s/s hides =
/Users/shant/.config/emacs/elpa/s-20180406.808/s
/Users/shant/.config/emacs/straight/build/s/s-autoloads hides =
/Users/shant/.config/emacs/elpa/s-20180406.808/s-autoloads
/Users/shant/.config/emacs/straight/build/dash/dash hides =
/Users/shant/.config/emacs/elpa/dash-20190814.2006/dash
/Users/shant/.config/emacs/straight/build/dash/dash-autoloads hides =
/Users/shant/.config/emacs/elpa/dash-20190814.2006/dash-autoloads
/Users/shant/.config/emacs/straight/build/tramp/tramp-archive hides =
/Applications/User Installed =
Applications/Emacs.app/Contents/Resources/lisp/net/tramp-archive
/Users/shant/.config/emacs/straight/build/tramp/tramp-smb hides =
/Applications/User Installed =
Applications/Emacs.app/Contents/Resources/lisp/net/tramp-smb
/Users/shant/.config/emacs/straight/build/tramp/tramp-uu hides =
/Applications/User Installed =
Applications/Emacs.app/Contents/Resources/lisp/net/tramp-uu
/Users/shant/.config/emacs/straight/build/tramp/tramp hides =
/Applications/User Installed =
Applications/Emacs.app/Contents/Resources/lisp/net/tramp
/Users/shant/.config/emacs/straight/build/tramp/tramp-adb hides =
/Applications/User Installed =
Applications/Emacs.app/Contents/Resources/lisp/net/tramp-adb
/Users/shant/.config/emacs/straight/build/tramp/tramp-sh hides =
/Applications/User Installed =
Applications/Emacs.app/Contents/Resources/lisp/net/tramp-sh
/Users/shant/.config/emacs/straight/build/tramp/trampver hides =
/Applications/User Installed =
Applications/Emacs.app/Contents/Resources/lisp/net/trampver
/Users/shant/.config/emacs/straight/build/tramp/tramp-cmds hides =
/Applications/User Installed =
Applications/Emacs.app/Contents/Resources/lisp/net/tramp-cmds
/Users/shant/.config/emacs/straight/build/tramp/tramp-integration hides =
/Applications/User Installed =
Applications/Emacs.app/Contents/Resources/lisp/net/tramp-integration
/Users/shant/.config/emacs/straight/build/tramp/tramp-sudoedit hides =
/Applications/User Installed =
Applications/Emacs.app/Contents/Resources/lisp/net/tramp-sudoedit
/Users/shant/.config/emacs/straight/build/tramp/tramp-cache hides =
/Applications/User Installed =
Applications/Emacs.app/Contents/Resources/lisp/net/tramp-cache
/Users/shant/.config/emacs/straight/build/tramp/tramp-compat hides =
/Applications/User Installed =
Applications/Emacs.app/Contents/Resources/lisp/net/tramp-compat
/Users/shant/.config/emacs/straight/build/tramp/tramp-gvfs hides =
/Applications/User Installed =
Applications/Emacs.app/Contents/Resources/lisp/net/tramp-gvfs
/Users/shant/.config/emacs/straight/build/tramp/tramp-ftp hides =
/Applications/User Installed =
Applications/Emacs.app/Contents/Resources/lisp/net/tramp-ftp
/Users/shant/.config/emacs/straight/build/tramp/tramp-rclone hides =
/Applications/User Installed =
Applications/Emacs.app/Contents/Resources/lisp/net/tramp-rclone
/Users/shant/.config/emacs/straight/build/tramp/tramp-loaddefs hides =
/Applications/User Installed =
Applications/Emacs.app/Contents/Resources/lisp/net/tramp-loaddefs
/Users/shant/.config/emacs/straight/build/cl-lib/cl-lib hides =
/Applications/User Installed =
Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp/cl-lib
/Users/shant/.config/emacs/straight/build/seq/seq hides =
/Applications/User Installed =
Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp/seq
/Users/shant/.config/emacs/straight/build/let-alist/let-alist hides =
/Applications/User Installed =
Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp/let-alist

Features:
(shadow sort mail-extr emacsbug sendmail parinfer-ext parinfer ediff
ediff-merg ediff-mult ediff-wind ediff-diff ediff-help ediff-init
ediff-util mode-local parinferlib rainbow-delimiters company-box
company-box-doc company-box-icons dash-functional company-oddmuse
company-keywords company-etags company-gtags company-dabbrev-code
company-dabbrev company-files company-capf company-cmake company-xcode
company-clang company-semantic company-eclim company-template
company-yasnippet company-bbdb linum whitespace doom-modeline
doom-modeline-segments doom-modeline-env doom-modeline-core shrink-path
smartparens highlight-parentheses ace-jump-mode cl
ace-jump-mode-autoloads ivy-prescient ivy-prescient-autoloads prescient
prescient-autoloads org-jira org-jira-sdk jiralib request soap-client
url-http url-auth url-gw nsm warnings rng-xsd rng-dt rng-util xsd-regexp
xml org-clock org-element avl-tree org org-macro org-footnote
org-pcomplete org-list org-faces org-entities org-version ob-emacs-lisp
ob ob-tangle org-src ob-ref ob-lob ob-table ob-keys ob-exp ob-comint
ob-core ob-eval org-compat org-macs org-loaddefs cal-menu calendar
cal-loaddefs org-jira-autoloads request-autoloads
highlight-parentheses-autoloads rainbow-delimiters-autoloads
parinfer-autoloads smartparens-autoloads multiple-cursors-autoloads
vterm vterm-module term disp-table ehelp vterm-autoloads treemacs-magit
treemacs-icons-dired treemacs treemacs-compatibility treemacs-mode
treemacs-bookmarks treemacs-interface treemacs-extensions
treemacs-persistence treemacs-mouse-interface treemacs-tag-follow-mode
hydra lv treemacs-filewatch-mode treemacs-tags treemacs-follow-mode
treemacs-rendering treemacs-async treemacs-faces treemacs-icons
treemacs-workspaces treemacs-dom treemacs-visuals
treemacs-fringe-indicator pulse treemacs-themes treemacs-core-utils
pfuture ace-window avy hl-line treemacs-macros inline ht
treemacs-customization treemacs-magit-autoloads treemacs-autoloads
ht-autoloads hydra-autoloads lv-autoloads pfuture-autoloads
ace-window-autoloads avy-autoloads magit-bookmark magit-submodule
magit-obsolete magit-blame magit-stash magit-reflog magit-bisect
magit-push magit-pull magit-fetch magit-clone magit-remote magit-commit
magit-sequence magit-notes magit-worktree magit-tag magit-merge
magit-branch magit-reset magit-files magit-refs magit-status magit
magit-repos magit-apply magit-wip magit-log which-func imenu magit-diff
smerge-mode diff magit-core magit-autorevert autorevert filenotify
magit-margin magit-transient magit-process magit-mode transient
git-commit magit-git magit-section magit-utils crm log-edit message rmc
puny rfc822 mml mml-sec epa epg epg-config gnus-util rmail
rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047
rfc2045 mm-util ietf-drums mail-prsvr mailabbrev mail-utils gmm-utils
mailheader pcvs-util add-log with-editor async-bytecomp async server
magit-autoloads transient-autoloads git-commit-autoloads
with-editor-autoloads async-autoloads flycheck find-func rx
flycheck-autoloads let-alist-autoloads dashboard dashboard-widgets time
recentf tree-widget page-break-lines dashboard-autoloads
page-break-lines-autoloads counsel-projectile tramp-cache projectile
ibuf-ext ibuffer ibuffer-loaddefs thingatpt counsel xdg swiper
counsel-projectile-autoloads projectile-autoloads bookmark+
bookmark+-key derived dired-x bookmark+-1 bookmark+-bmu bookmark+-lit
bookmark text-property-search pp bookmark+-autoloads company-flx
company-flx-autoloads flx-autoloads company-statistics
company-statistics-autoloads company-box-autoloads
dash-functional-autoloads use-package-diminish all-the-icons
all-the-icons-faces data-material data-weathericons data-octicons
data-fileicons data-faicons data-alltheicons memoize
all-the-icons-autoloads memoize-autoloads ess ess-utils ess-custom
ess-autoloads julia-mode-autoloads use-package-delight
use-package-ensure company-anaconda company pcase
company-anaconda-autoloads anaconda-mode pythonic f dash
anaconda-mode-autoloads pythonic-autoloads f-autoloads elpy
find-file-in-project ivy colir color ivy-overlay windmove diff-mode
elpy-rpc pyvenv eshell esh-cmd esh-ext esh-opt esh-proc esh-io esh-arg
esh-module esh-groups esh-util elpy-shell elpy-profile elpy-django s
elpy-refactor python tramp-sh ido grep compile etags fileloop generator
xref project cus-edit wid-edit elpy-autoloads yasnippet-autoloads
pyvenv-autoloads highlight-indentation-autoloads
find-file-in-project-autoloads company-autoloads restclient advice
noutline outline url url-proxy url-privacy url-expand url-methods
url-history url-cookie url-domsuf url-util mailcap restclient-autoloads
ejc-sql-autoloads auto-complete-autoloads popup-autoloads dash-autoloads
clomacs-autoloads simple-httpd-autoloads s-autoloads cider-autoloads
sesman-autoloads seq-autoloads spinner-autoloads queue-autoloads
pkg-info-autoloads epl-autoloads parseedn-autoloads parseclj-autoloads
a-autoloads clojure-mode-autoloads direx eieio-compat dired
dired-loaddefs direx-autoloads zoom-window-autoloads
counsel-tramp-autoloads counsel-autoloads swiper-autoloads ivy-autoloads
use-package-bind-key bind-key easy-mmode tramp tramp-loaddefs trampver
tramp-integration files-x tramp-compat shell pcomplete comint ansi-color
ring parse-time iso8601 time-date ls-lisp format-spec tramp-autoloads
general general-autoloads cl-lib-autoloads diminish diminish-autoloads
use-package-core edmacro kmacro cus-start cus-load saveplace paren
battery delsel spacemacs-dark-theme spacemacs-common
spacemacs-theme-autoloads use-package-autoloads bind-key-autoloads
straight-autoloads info cl-extra help-mode straight package easymenu
browse-url url-handlers url-parse auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache json subr-x map url-vars seq
byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/ns-win
ns-win ucs-normalize mule-util term/common-win tool-bar dnd fontset
image regexp-opt fringe tabulated-list replace newcomment text-mode
elisp-mode lisp-mode prog-mode register page menu-bar rfn-eshadow
isearch timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core term/tty-colors frame cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads kqueue cocoa ns multi-tty
make-network-process emacs)

Memory information:
((conses 16 443622 32511)
(symbols 48 40319 2)
(strings 32 141964 5410)
(string-bytes 1 5166219)
(vectors 16 64194)
(vector-slots 8 750362 26816)
(floats 8 1265 329)
(intervals 56 904 149)
(buffers 992 15))




Acknowledgement sent to Shant Sukljian <sshantt@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37557; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 30 Sep 2019 16:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.